slice2html(1)

NAME
slice2html - The Slice to HTML documentation tool.

SYNOPSIS
slice2html [options] [files]

DESCRIPTION
slice2html generates HTML documentation from Slice files. Full documentation for slice2html is available online at:
"https://doc.zeroc.com/display/Ice36/Generating+Slice+Documentation".

OPTIONS

-h, --help
    Displays help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--ice
    Permit use of the normally reserved prefix Ice for identifiers. Use this option only when compiling the source code for the Ice run time.

--hdr FILE
    Prepend FILE to each generated HTML file (except for _sindex.html). This allows you to replace the HTML header and other preamble information with a custom version, so you can connect style sheets to the generated pages. The specified file must include the <body> tag (but need not end with a <body> tag). FILE is expected to contain the string TITLE on a line by itself, starting in column one. slice2html replaces the TITLE string with the fully-scoped name of the Slice symbol that is documented on the corresponding page.

--ftr FILE
    Append FILE to each generated HTML file (except for _sindex.html). This allows you to add, for example, a custom footer to each generated page. FILE must end with a </body> tag.

--indexhdr FILE
    slice2html generates a file _sindex.html that contains a table of contents of all Slice symbols that hyperlink to the corresponding page. This option allows you to replace the standard header with a custom header, for example, to attach a JavaScript. The specified file must include the <body> tag (but need not end with a <body> tag). The default value is the setting of --hdr (if any).

--indexftr FILE
    Append FILE to the generated sindex.html page. This allows you to add, for example, a custom footer to the table of contents, or to invoke a JavaScript. FILE is must end with a </body> tag. The default value is the setting of --ftr (if any).

--image-dir DIR
    With this option, slice2html looks in the specified directory for images to use for the generated navigation hyperlinks. (Without this option, text links are used instead.) Please see the generated HTML for the names of the various image files. (They can easily be found by looking for img elements.)

--logo-url URL
    Use the specified URL as a hyperlink for the company logo that is added to each page (if --image-dir is specified). The company logo is expected to be in <image_dir>/logo.gif.

--search ACTION
    If this option is specified, the generated pages contain a search box that allows you to connect the generated pages to a search engine. On pressing the "Search" button, the specified ACTION is carried out.

--index NUM
    slice2html generates sub-indexes for various Slice symbols. This option controls how many entries must be present before a sub-index is generated. For example, if NUM is set to 3, a sub-index will be generated only if there are three or more symbols that appear in that index. The default settings is 1, meaning that a sub-index is always generated. To disable sub-indexes entirely, set NUM to 0.

--summary NUM
    If this option is set, summary sentences that exceed NUM characters generate a warning.

SEE ALSO
slice2cpp(1), slice2cs(1), slice2freeze(1), slice2freezej(1), slice2html(1), slice2java(1), slice2php(1), slice2py(1), slice2rb(1)